## munin 2.0.37

=== debian/changelog ===
munin (2.0.37-1) unstable; urgency=medium

  * New upstream version 2.0.37.
  * New upstream version 2.0.36, Closes: #894017.
  * New upstream version 2.0.35, fixing various issues, including bugs in:
    - plugin http_loadtime: Closes: #798258, #862794, #886517
    - plugin netstat: Closes: #861851
    - plugin nfsd4: Closes: #833740
    - plugin psu_: Closes: #860487
  * Build-Depends-Indep: switch from default-jdk to openjdk-8-jdk as munin
    fails to build with java 9. Closes: #873993
  * debian/Makefile.config: define JC without path containing default-java.
  * munin-plugis-core:
    - add suggests to time. Closes: #862794
    - add suggests to bc. Closes: #886516
  * Switch maintainer address to team+munin@tracker.debian.org.
  * debian/changelog: drop trailing whitespaces, thanks lintian. 

 -- Holger Levsen <holger@debian.org>  Thu, 29 Mar 2018 15:26:26 +0000

munin (2.0.34-3) unstable; urgency=medium

  * debian/munin-node.triggers: use an explicit interest-await trigger for
    perl-major-upgrades.
  * debian/control:
    - use https:// URL for Vcs-Git: header.
    - specify -b debian for Vcs-Git:.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Jan 2018 11:19:25 +0000

munin (2.0.34-2) unstable; urgency=medium

  * Partly revert f1f48dee so that directories are again setup correctly
    on initial installations. (Closes: #885454)
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Add lintian overrides for munin-node, munin-plugins-core and m-p-extra for
    dependency-on-python-version-marked-for-end-of-life as this is not
    actionable for us, but upstream.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Jan 2018 12:11:20 +0000

munin (2.0.34-1) unstable; urgency=medium

  * New upstream bugfix release. (Closes: #856536)

 -- Holger Levsen <holger@debian.org>  Mon, 23 Oct 2017 13:05:25 +0200

munin (2.0.33-4) unstable; urgency=medium

  * Add systemd-sysv as alternate dependency to cron | cron-daemon. Thanks to
    Christian Göttsche for the suggestion! (Closes: #877658)

 -- Holger Levsen <holger@debian.org>  Thu, 05 Oct 2017 22:44:11 +0200

munin (2.0.33-3) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * Delay start of munin-node until network is up. (Closes: #865488)

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 02:00:57 +0200

munin (2.0.33-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.
  * debian/rules: call dh with --no-parallel, as debhelper compat 10
    introduces parallel building. This will probably also "fix" #839233.
  * Drop version from suggestion on smartmontools, the suggested version is
    satisfied in oldoldstable even.
  * Drop unnecessary "Testsuite:autopkgtest" header from debian/control,
    thanks lintian.
  * Drop obsolete dependency on dh-systemd, nowadays taken care of by
    debhelper.
  * Switch Vcs-Browser URL to https and use /git/ not /gitweb/ as well.
  * Drop deprecated upstart files for munin, munin-node and munin-async.
  * debian/(munin|munin-node|munin-async).postinst: drop legacy code dealing
    with pre-Jessie releases.
  * Drop Breaks and Replaces for munin-plugins-core on pre-Jessie versions
    of munin-plugins-extra.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 01:54:00 +0200
