## munin 2.0.47

=== debian/changelog ===
munin (2.0.47-1ubuntu3) disco; urgency=medium

  * Add missing test dependency on net-tools for netstat plugin.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2019 17:33:48 -0700

munin (2.0.47-1ubuntu2) disco; urgency=medium

  * Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2019 15:01:41 -0700

munin (2.0.47-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
  * Dropped changes, included in Debian:
    - Revert more of f1f48dee so that directories are again setup correctly on
      initial installations of munin-node and munin-async.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2019 12:31:44 -0700

munin (2.0.47-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream version 2.0.47.

  [ Lars Kruse ]
  * New upstream version 2.0.46, Closes: #715141
  * Add 'Webservice' field to upstream metadata.
  * munin-node.README.Debian: update plugin customization hints
  * munin-node.README.Debian: mention behavioural changes due to systemd
    (Closes: #921985)
  * Remove references to "munin-sched" (removed by upstream)

 -- Holger Levsen <holger@debian.org>  Thu, 28 Feb 2019 16:06:07 +0100

munin (2.0.45-1) unstable; urgency=medium

  * New upstream release.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Feb 2019 00:10:46 +0100

munin (2.0.44-2) unstable; urgency=medium

  [ Lars Kruse ]
  * Add "netbase" to Depends for "munin"
  * Add "netbase" to Depends for "munin-node"

  [ Holger Levsen ]
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 24 Jan 2019 13:02:41 +0100

munin (2.0.44-1) unstable; urgency=medium

  * New upstream bugfix release.

  [ Lars Kruse ]
  * Move plugin-related "Suggests" from "munin-node" to plugin packages.
    Closes: #755257
  * munin-node:
    - move "gawk" and "procps" from Depends to Recommends.
    - move "libnet-snmp-perl" from "Recommends" to "Suggests".
    - remove suggests "libcrypt-ssleay-perl" and "libwww-perl".

 -- Holger Levsen <holger@debian.org>  Fri, 21 Dec 2018 15:59:09 +0100

munin (2.0.43-3) unstable; urgency=medium

  [ Lars Kruse ]
  * Tests: handle autoconf detection for plugins "acpi" and "cpuspeed".
  * Try to work around autopkgtest failure experienced on ci.d.n but not
    locally.

 -- Holger Levsen <holger@debian.org>  Wed, 05 Dec 2018 12:42:56 +0100

munin (2.0.43-2) unstable; urgency=medium

  [ Lars Kruse ]
  * Increase failure verbosity of "default plugin user" test.

 -- Holger Levsen <holger@debian.org>  Sun, 02 Dec 2018 18:22:42 +0100

munin (2.0.43-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream version 2.0.43, Closes: #913661
  * Remove duplicate systemd-tmpfiles line for /run/munin from munin-node.
    Thanks to Vincas Dargis (Closes: #913784)
  * Add autopktest for default user context of plugins.
  * Tests: remove temporary exception for stderr from "munindoc"
  * Change Vcs-Git to canonical URL (appending ".git")
    Thanks to lintian
  * Lintian: override suggested service for init script.
    The purpose of the init script is covered by munin.tmpfiles.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2018 12:23:38 +0100

munin (2.0.42-6) unstable; urgency=medium

  [ Lars Kruse ]
  * Fix test for MIME type of generated graphs (ignored before).
  * Merge test code details from debian-experimental.
  * Fix permissions of test files.
  * Unify usage of comma/whitespace in debian/tests/control.
  * Use more verbose tests for "expect no files".
  * Tests: tolerate stderr output of "munindoc" for now.

 -- Holger Levsen <holger@debian.org>  Thu, 15 Nov 2018 11:41:20 +0100

munin (2.0.42-5) unstable; urgency=medium

  [ Lars Kruse ]
  * Re-arrange tests for improved readability of test output
  * Tests: Properly detect the assumed presence of the conntrack-related munin
    plugins. Previously only the conntrack executable was checked - now the
    alternative procfs files are evaluated, too. (Really closes: #910684)

 -- Holger Levsen <holger@debian.org>  Sun, 11 Nov 2018 13:48:17 +0100

munin (2.0.42-4) unstable; urgency=medium

  [ Lars Kruse ]
  * tests for munin-node plugins: add conntrack-related plugins to the list of
    expected plugins, if conntrack is available in the test environment.
    This fixes the current autopktest failure. (Closes: #910684)

 -- Holger Levsen <holger@debian.org>  Sat, 10 Nov 2018 14:38:42 +0100

munin (2.0.42-3) unstable; urgency=medium

  [ Lars Kruse ]
  * munin-async.postinst: fix handling of a missing "munin-async" group
    (do not try to create the user again, but add it to the group instead)
  * tests: do not rely on /var/cache/munin/www/localdomain to be created in
    CGI mode
  * add more build dependencies for upstream tests (test failures are
    currently tolerated by upstream)
  * d/tests/munin-node: increase verbosity of output in case of failure
    for the test of available plugins
  * d/tests/control: remove dependency on net-tools (introduced in 2.0.42-2)
    as it did not fix the test failure
  * Remove the empty directory /var/lib/munin-async from "munin" and add it to
    "munin-node". This directory is required by "munin-sched" (shipped in
    "munin-node").
  * munin and munin-node: remove the empty directory /var/run.
    This directory was moved to /run, thus we should not create it
    explicitly anymore.
  * fix spelling of test filename munin-master/01.master-components.t

 -- Holger Levsen <holger@debian.org>  Thu, 08 Nov 2018 12:43:40 +0100

munin (2.0.42-2) unstable; urgency=medium

  * d/tests/control: Add dependency on net-tools for the plugin tests of
    munin-node running with systemd. Thanks to Ivo De Decker for the analysis.
    (Closes: #910684)

