=== debian/control ===
--- 
+++ 
@@ -1,51 +1,56 @@
 Source: munin
 Section: net
 Priority: optional
-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
-Uploaders: Holger Levsen <holger@debian.org>, 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
+Uploaders: Holger Levsen <holger@debian.org>,
  Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep:
- openjdk-8-jdk,
+ default-jdk,
  html2text,
  htmldoc,
+ libfile-slurp-perl,
+ libhtml-template-perl,
+ libio-stringy-perl,
+ liblist-moreutils-perl,
+ liblog-log4perl-perl,
+ libnet-server-perl,
+ libnet-snmp-perl,
+ libnet-ssleay-perl,
+ librrds-perl,
+ libtest-deep-perl,
+ libtest-differences-perl,
+ libtest-exception-perl,
+ libtest-longstring-perl,
+ libtest-mockmodule-perl,
+ libtest-mockobject-perl,
  perl,
 Build-Depends:
- debhelper (>=10.2.5~),
+ debhelper-compat (=11),
  libmodule-build-perl,
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: http://munin-monitoring.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/munin.git -b debian
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/munin.git
+Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
+Vcs-Browser: https://salsa.debian.org/debian/munin
 
 Package: munin-node
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- gawk,
  libnet-server-perl,
  lsb-base (>= 4.1),
  munin-common (>= ${binary:Version}),
  munin-plugins-core,
+ netbase,
+Recommends:
+ gawk,
+ munin-plugins-extra,
  procps,
-Recommends: libnet-snmp-perl, munin-plugins-extra
 Suggests:
- acpi | lm-sensors,
- ethtool,
- hdparm,
- libcrypt-ssleay-perl,
- libdbd-pg-perl,
- liblwp-useragent-determined-perl,
- libnet-irc-perl,
- libtext-csv-xs-perl,
- libwww-perl,
- libxml-simple-perl,
- logtail,
  munin,
  munin-plugins-java,
- default-mysql-client,
- net-tools,
- python,
- ruby,
- smartmontools,
+Replaces: munin-doc (<< 2.0.37-3)
+Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -66,17 +71,29 @@
 Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
 Recommends: libnet-snmp-perl
 Suggests:
- bc,
+ acpi | lm-sensors,
  conntrack,
+ default-mysql-client,
+ ethtool,
+ hdparm,
+ libdbd-pg-perl,
+ libhttp-date-perl,
+ liblwp-useragent-determined-perl,
+ libnet-ip-perl,
+ libnet-irc-perl,
+ libnet-ldap-perl,
  libnet-netmask-perl,
  libnet-telnet-perl,
  libxml-parser-perl,
+ libxml-simple-perl,
  libcache-cache-perl,
  libdbd-mysql-perl,
  libnet-dns-perl,
- python,
- ruby | ruby-interpreter,
- time,
+ logtail,
+ net-tools,
+ python3,
+ ruby,
+ smartmontools,
 Description: network-wide graphing framework (plugins for node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -84,9 +101,9 @@
  .
  This package contains the official plugins for the Munin node, capable of
  extracting common values such as cpu usage, network usage, load average, and
- so on. 
- .
- Creating your own plugins which are capable of extracting other system-specific 
+ so on.
+ .
+ Creating your own plugins which are capable of extracting other system-specific
  values is very easy, and is often done in a matter of minutes.
  You can also create plugins which relay information from other devices in your
  network that can't run Munin, such as a switch or a server running another
@@ -99,14 +116,23 @@
 Package: munin-plugins-extra
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
-Suggests: libnet-netmask-perl, python, libnet-telnet-perl
+Suggests:
+ libcache-memcached-perl,
+ liblwp-useragent-determined-perl,
+ libnet-ip-perl,
+ libnet-netmask-perl,
+ libnet-telnet-perl,
+ libnet-snmp-perl,
+ libtext-csv-xs-perl,
+ libxml-libxml-perl,
+ python3,
 Description: network-wide graphing framework (user contributed plugins for node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
  maintaining a rattling ease of installation and configuration.
  .
  This package contains unsupported plugins for the Munin node, contributed by
- various users of Munin. 
+ various users of Munin.
  .
  Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
  RRDtool. To see a real example of Munin in action, you can follow a link
@@ -122,8 +148,8 @@
  virtually everything imaginable throughout your network, while still
  maintaining a rattling ease of installation and configuration.
  .
- This package contains the java based plugins that are used by munin-node to 
- monitor Java Management Extensions (JMX). 
+ This package contains the java based plugins that are used by munin-node to
+ monitor Java Management Extensions (JMX).
  .
  Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
  RRDtool. To see a real example of Munin in action, you can follow a link
@@ -146,9 +172,12 @@
  libtime-hires-perl,
  liburi-perl,
  munin-common (>= ${binary:Version}),
+ netbase,
  rrdtool,
 Recommends: munin-node, munin-doc, libcgi-fast-perl
 Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
+Replaces: munin-doc (<< 2.0.37-3)
+Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (grapher/gatherer)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -173,6 +202,8 @@
 Depends: ${perl:Depends}, ${misc:Depends},
  adduser,
  liblist-moreutils-perl,
+Replaces: munin-doc (<< 2.0.37-3)
+Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (common)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
