=== debian/tests/control ===
# Tests for master components:
#   * collect graphs
#   * generate html and png files
#
# Dependencies:
#   * apache2: handle HTTP requests
#   * curl: HTTP requests for munin-httpd
#   * daemontools: for "setuidgid"
#   * file: determine mime type of HTTP responses
#   * libcgi-fast-perl: required for delivery via apache2
#   * munin-node: provide data to be retrieved by the munin master
#   * munin-plugins-core: required for requesting plugin graphs via munin-httpd
#   * netcat-openbsd: test local tcp connection
#   * sharness: test framework


# systemd
Tests: master-systemd-cron, master-systemd-cgi
Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, sharness, 
Restrictions: needs-root, breaks-testbed, isolation-container

# sysvinit-core
Tests: master-sysvinit-cron, master-sysvinit-cgi
Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, sharness, sysvinit-core
Restrictions: needs-root, breaks-testbed, isolation-machine, needs-reboot, skip-not-installable


# Tests for munin-node:
#   * run the node
#   * access plugins
#
# Dependencies:
#   * netcat-openbsd: test local tcp connection
#   * sharness: test framework

# systemd
Tests: node-systemd
Depends: munin-node, netcat-openbsd, sharness, net-tools
Restrictions: needs-root, breaks-testbed, isolation-container

# sysvinit-core
Tests: node-sysvinit
Depends: munin-node, netcat-openbsd, sharness, net-tools, sysvinit-core
Restrictions: needs-root, breaks-testbed, isolation-machine, needs-reboot, skip-not-installable


# verify that all binary packages can be installed at the same time (without conflicts)
Test-Command: true
Depends: @
Restrictions: breaks-testbed
