=== debian/control ===
--- 
+++ 
@@ -26,16 +26,18 @@
  libtest-mockobject-perl,
  perl,
 Build-Depends:
- debhelper-compat (=11),
+ debhelper-compat (=12),
  libmodule-build-perl,
+ po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin
 
 Package: munin-node
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends},
  libnet-server-perl,
  lsb-base (>= 4.1),
@@ -157,6 +159,7 @@
 
 Package: munin
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends},
  lsb-base (>= 4.1),
  cron | cron-daemon | systemd-sysv,
@@ -218,6 +221,7 @@
 
 Package: munin-async
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends},
  lsb-base (>= 4.1),
  adduser,
