=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 # systemd
 Tests: master-systemd-cron, master-systemd-cgi
-Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, sharness, 
+Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, sharness
 Restrictions: needs-root, breaks-testbed, isolation-container
 
 # sysvinit-core
